Skip to main content
POST
Book Appointment Slot

Headers

auth
string
required
Example:

"auth"

Body

application/json

The request body should contain either partner-specific fields or non-partner-specific fields for clinic and doctor identification.

partner_clinic_id
string
required

Identifier for the partner’s clinic. Please ensure the clinic is registered on the hub

partner_doctor_id
string
required

Identifier for the partner’s doctor. Please ensure the doctor is registered on the hub

partner_patient_id
string
required

Identifier for the partner’s patient. Please ensure the patient is registered beforehand using the "Add Patient" API.

appointment_details
object
required
partner_appointment_id
string
token
integer

A unique number given to each patient to indicate their position in the queue.

patient_details
DOB · object
partner_meta
object

This field is a set of key-value pair very specific to our partner and not visible in appointment queue. These key-value pairs are just stored at our end and echoed back in appointment related apis. We dont use it for any computation.

display_meta
object
  • This field is a set of key-value pair.
  • The value corresponding to a key must be string, int, or float.
  • Keys in display_meta must not exceed 30 characters.
  • The value for a key must not exceed 50 characters.
  • These key-value pairs will be shown on the appointment card.
  • For key names, it is recommended to use underscores (_) instead of spaces. During display, underscores will be replaced with spaces, and the following letter will be capitalized automatically.
  • Example:
    "vendor_patient_id": "P41025551968206" will be shown as "Vendor Patient Id": "P41025551968206"

Response

OK

appointment_id
string